org.freedesktop.ModemManager1.Modem.ModemCdma: ModemManager Reference Manual

## org.freedesktop.ModemManager1.Modem.ModemCdma org.freedesktop.ModemManager1.Modem.ModemCdma — The ModemManager CDMA interface. |

## Methods

    Activate       (IN  s     carrier_code);
    ActivateManual (IN  a{sv} properties);

## Signals

    ActivationStateChanged (u     activation_state,
                            u     activation_error,
                            a{sv} status_changes);

## Properties

    ActivationState          readable   u
    Meid                     readable   s
    Esn                      readable   s
    Sid                      readable   u
    Nid                      readable   u
    Cdma1xRegistrationState  readable   u
    EvdoRegistrationState    readable   u

## Description

This interface provides access to specific actions that may be performed in modems with CDMA capabilities.

This interface will only be available once the modem is ready to be registered in the cellular network. Mixed 3GPP+3GPP2 devices will require a valid unlocked SIM card before any of the features in the interface can be used.

## Method Details

### The `Activate()` method

    Activate (IN  s carrier_code);

Provisions the modem for use with a given carrier using the modem's Over-The-Air (OTA) activation functionality, if any.

Some modems will reboot after this call is made.

Since: 1.0

`IN s `carrier_code``: | Name of carrier, or carrier-specific code.

### The `ActivateManual()` method

    ActivateManual (IN  a{sv} properties);

Sets the modem provisioning data directly, without contacting the carrier over the air.

Some modems will reboot after this call is made.

This dictionary is composed of a string identifier key with an associated data which contains type-specific location information:

"spc" | The Service Programming Code, given as a string of exactly 6 digit characters. Mandatory parameter.
"sid" | The System Identification Number, given as a 16-bit unsigned integer (signature `"q"`). Mandatory parameter.
"mdn" | The Mobile Directory Number, given as a string of maximum 15 characters. Mandatory parameter.
"min" | The Mobile Identification Number, given as a string of maximum 15 characters. Mandatory parameter.
"mn-ha-key" | The MN-HA key, given as a string of maximum 16 characters.
"mn-aaa-key" | The MN-AAA key, given as a string of maximum 16 characters.
"prl" | The Preferred Roaming List, given as an array of maximum 16384 bytes.

`IN a{sv} `properties``: | A dictionary of properties to set on the modem.

## Signal Details

### The "ActivationStateChanged" signal

    ActivationStateChanged (u     activation_state,
                            u     activation_error,
                            a{sv} status_changes);

The device activation state changed.

Since: 1.0

`u `activation_state``: | Current activation state, given as a MMModemCdmaActivationState.
`u `activation_error``: | Carrier-specific error code, given as a MMCdmaActivationError.
`a{sv} `status_changes``: | Properties that have changed as a result of this activation state change, including `"mdn"` and `"min"`. The dictionary may be empty if the changed properties are unknown.

## Property Details

### The "ActivationState" property

    ActivationState  readable   u

A MMModemCdmaActivationState value specifying the state of the activation in the 3GPP2 network.

Since: 1.0

### The "Meid" property

    Meid  readable   s

The modem's Mobile Equipment Identifier.

Since: 1.0

### The "Esn" property

    Esn  readable   s

The modem's Electronic Serial Number (superceded by MEID but still used by older devices).

Since: 1.0

### The "Sid" property

    Sid  readable   u

The System Identifier of the serving CDMA 1x network, if known, and if the modem is registered with a CDMA 1x network.

See ifast.org or the mobile broadband provider database for mappings of SIDs to network providers.

Since: 1.0

### The "Nid" property

    Nid  readable   u

The Network Identifier of the serving CDMA 1x network, if known, and if the modem is registered with a CDMA 1x network.

Since: 1.0

### The "Cdma1xRegistrationState" property

    Cdma1xRegistrationState  readable   u

A MMModemCdmaRegistrationState value specifying the CDMA 1x registration state.

Since: 1.0

### The "EvdoRegistrationState" property

    EvdoRegistrationState  readable   u

A MMModemCdmaRegistrationState value specifying the EVDO registration state.

Since: 1.0